Page MenuHomePhabricator

improve output of "show dhcpv6 server leases"
Closed, ResolvedPublicENHANCEMENT

Description

Unify with isc-dhcp conventions:

  • change DUID to IAID_DUID as referenced in isc-dhcp documentation
  • format IAID_DUID output as colon-separated hex list
  • add type column (temporary, non-temporary or prefix delegation)
  • add expired argument
  • add json output

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

jjakob changed the task status from Open to In progress.Jun 22 2019, 3:15 PM
jjakob triaged this task as Wishlist priority.
jjakob created this task.
jjakob created this object in space S1 VyOS Public.
jjakob changed the subtype of this task from "Task" to "Enhancement".
jjakob updated the task description. (Show Details)Jun 22 2019, 4:01 PM

https://kb.isc.org/docs/isc-dhcp-44-manual-pages-dhcpdleases#the-dhcpv6-lease-ia-declaration
isc-dhcpd can store IANA_DUID either as octal string (default) or hex, as set by lease-id-format parameter.
python-isc-dhcp-leases currently only supports string type, so it internally parses it into hex. We need to parse it again to add colons to unify with isc-dhcp hex format.
If python-isc-dhcp-leases were improved to add hex type support, we could set lease-id-format to hex and do away with all this parsing.

jjakob changed the task status from In progress to Backport candidate.Jul 4 2019, 10:48 PM
jjakob moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
pasik added a subscriber: pasik.Jul 5 2019, 9:53 PM
syncer reassigned this task from jjakob to dmbaturin.Nov 16 2019, 10:32 PM
syncer raised the priority of this task from Wishlist to Normal.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.4) board.
dmbaturin closed this task as Resolved.Nov 17 2019, 6:08 PM

Cherr-picked into crux.